xtset city_id year
******基准回归命令
*FDI总量
xtreg lnfdi eco_park i.year,fe vce(cluster city_id)
xtreg lnfdi eco_park density pergdp wage i.year,fe vce(cluster city_id)
xtreg lnfdi eco_park density pergdp wage road green pm i.year,fe vce(cluster city_id)

*FDI对经济增长贡献
xtreg lnfdizb eco_park i.year,fe vce(cluster city_id)
xtreg lnfdizb eco_park density pergdp wage i.year,fe vce(cluster city_id)
xtreg lnfdizb eco_park density pergdp wage road green pm i.year,fe vce(cluster city_id)

*FDI密度
xtreg lnperfdi eco_park i.year,fe vce(cluster city_id)
xtreg lnperfdi eco_park density pergdp wage i.year,fe vce(cluster city_id)
xtreg lnperfdi eco_park density pergdp wage road green pm i.year,fe vce(cluster city_id)

*事件分析
xtreg lnfdi _Ievent_2 _Ievent_3 _Ievent_4 _Ievent_5 _Ievent_6 _Ievent_7 _Ievent_8 _Ievent_9 _Ievent_10 _Ievent_12 _Ievent_13 _Ievent_14 _Ievent_15 _Ievent_16 _Ievent_17 _Ievent_18 _Ievent_19 _Ievent_20 _Ievent_21 _Ievent_22 _Ievent_23 density pergdp wage road green pm i.year,fe vce(cluster city_id)
xtreg lnfdizb _Ievent_2 _Ievent_3 _Ievent_4 _Ievent_5 _Ievent_6 _Ievent_7 _Ievent_8 _Ievent_9 _Ievent_10 _Ievent_12 _Ievent_13 _Ievent_14 _Ievent_15 _Ievent_16 _Ievent_17 _Ievent_18 _Ievent_19 _Ievent_20 _Ievent_21 _Ievent_22 _Ievent_23 density pergdp wage road green pm i.year,fe vce(cluster city_id)
xtreg lnperfdi _Ievent_2 _Ievent_3 _Ievent_4 _Ievent_5 _Ievent_6 _Ievent_7 _Ievent_8 _Ievent_9 _Ievent_10 _Ievent_12 _Ievent_13 _Ievent_14 _Ievent_15 _Ievent_16 _Ievent_17 _Ievent_18 _Ievent_19 _Ievent_20 _Ievent_21 _Ievent_22 _Ievent_23 density pergdp wage road green pm i.year,fe vce(cluster city_id)

*更换固定效应
xtreg lnfdi eco_park density pergdp wage road green pm i.province_id#i.year,fe vce(cluster city_id)
xtreg lnfdizb eco_park density pergdp wage road green pm i.province_id#i.year,fe vce(cluster city_id)
xtreg lnperfdi eco_park density pergdp wage road green pm i.province_id#i.year,fe vce(cluster city_id)

*工具变量
ivreg2 lnfdi density pergdp wage road green pm (eco_park=eco_parkiv) i.year i.city_id,cluster(city_id) first
ivreg2 lnfdizb density pergdp wage road green pm (eco_park=eco_parkiv) i.year i.city_id,cluster(city_id) first
ivreg2 lnperfdi density pergdp wage road green pm (eco_park=eco_parkiv) i.year i.city_id,cluster(city_id) first

******机制检验
*环境规制
xtreg regulation eco_park density pergdp service wage road green pm i.province_id#i.year,fe vce(cluster city_id)

*FDI转移
xtreg lnneighbor_fdi eco_park density pergdp wage road green pm i.province_id#i.year,fe vce(cluster city_id)
xtreg lnneighbor_fdizb eco_park density pergdp wage road green pm i.province_id#i.year,fe vce(cluster city_id)
xtreg lnneighbor_perfdi eco_park density pergdp wage road green pm i.province_id#i.year,fe vce(cluster city_id)

*绿色创新
xtreg tech eco_park density pergdp service perfdi wage road green pm i.year,fe vce(cluster city_id)
xtreg lngreenpatent eco_park density pergdp service perfdi wage road green pm i.year,fe vce(cluster city_id)
xtreg lngreenpatent_fm eco_park density pergdp service perfdi wage road green pm i.year,fe vce(cluster city_id)
xtreg lngreenpatent_sy eco_park density pergdp service perfdi wage road green pm i.year,fe vce(cluster city_id)
xtreg lngreenpatent1 eco_park density pergdp service perfdi wage road green pm i.year,fe vce(cluster city_id)
xtreg lngreenpatent_fm1 eco_park density pergdp service perfdi wage road green pm i.year,fe vce(cluster city_id)
xtreg lngreenpatent_sy1 eco_park density pergdp service perfdi wage road green pm i.year,fe vce(cluster city_id)

